[CentOS] Firefox 46.0 fails on CentOS 6.7 due to GTK3 requirement

Phelps, Matthew mphelps at cfa.harvard.edu
Wed Apr 27 12:27:58 UTC 2016


The latest version of firefox, 46.0 requires GTK3 and so it fails on CentOS
6.7.

I know there is the ESR release supplied by upstream, but that is based on
version 38. We have regularly installed the Mozilla "Linux" version of
Firefox in a central location for our users, and this has worked just fine
until 46.0. (I note from
https://www.mozilla.org/en-US/firefox/organizations/faq/ that even that ESR
release is due to stop being supported soon).

I filed a bugzilla report at
https://bugzilla.mozilla.org/show_bug.cgi?id=1267815. If this matters to
you, please consider tagging onto that bug.

Yes, yes we have to upgrade to CentOS 7. But in our shop, the amount of
work required to get this done is huge, and won't happen soon.

The whole idea of using RHEL/CentOS is to have a stable, supported version
for a long period of time. How can we do this if even a web browser won't
work?

-- 
Matt Phelps
System Administrator, Computation Facility
Harvard - Smithsonian Center for Astrophysics
mphelps at cfa.harvard.edu, http://www.cfa.harvard.edu



More information about the CentOS mailing list